CoreAdminRequest.Create (Solr 3.6.2 API)
Keywords: org.apache.solr.client.solrj.request.CoreAdminRequest.Create class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.client.solrj.request
Class CoreAdminRequest.Create

    java.lang.Object
      org.apache.solr.client.solrj.SolrRequest
          org.apache.solr.client.solrj.request.CoreAdminRequest
              org.apache.solr.client.solrj.request.CoreAdminRequest.Create

All Implemented Interfaces:
  Serializable

Enclosing class:
  CoreAdminRequest

    public static class CoreAdminRequest.Create

extends CoreAdminRequest

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest
`CoreAdminRequest.Create, CoreAdminRequest.MergeIndexes, CoreAdminRequest.Persist, CoreAdminRequest.Unload`

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest
`SolrRequest.METHOD`

Field Summary
`protected String` | `configName`
`protected String` | `dataDir`
`protected String` | `instanceDir`
`protected String` | `schemaName`

Fields inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest
`action, core, other`

Constructor Summary
`CoreAdminRequest.Create()`

Method Summary
`String` | `getConfigName()`
`String` | `getDataDir()`
`String` | `getInstanceDir()`
`SolrParams` | `getParams()`
`String` | `getSchemaName()`
`void` | `setConfigName(String config)`
`void` | `setDataDir(String dataDir)`
`void` | `setInstanceDir(String instanceDir)`
`void` | `setSchemaName(String schema)`

Methods inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest
`aliasCore, createCore, createCore, getContentStreams, getStatus, mergeIndexes, persist, process, reloadCore, renameCore, setAction, setCoreName, setOtherCoreName, unloadCore, unloadCore`

Methods inherited from class org.apache.solr.client.solrj.SolrRequest
`getMethod, getPath, getResponseParser, setMethod, setPath, setResponseParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instanceDir

    protected String instanceDir

### configName

    protected String configName

### schemaName

    protected String schemaName

### dataDir

    protected String dataDir

Constructor Detail

### CoreAdminRequest.Create

    public CoreAdminRequest.Create()

Method Detail

### setInstanceDir

    public void setInstanceDir(String instanceDir)

### setSchemaName

    public void setSchemaName(String schema)

### setConfigName

    public void setConfigName(String config)

### setDataDir

    public void setDataDir(String dataDir)

### getInstanceDir

    public String getInstanceDir()

### getSchemaName

    public String getSchemaName()

### getConfigName

    public String getConfigName()

### getDataDir

    public String getDataDir()

### getParams

    public SolrParams getParams()

  Overrides:
    `getParams` in class `CoreAdminRequest`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD